Bug 815045 - dependency error in update of samba4
dependency error in update of samba4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba4 (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 04:03 EDT by Steve
Modified: 2012-05-14 09:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: samba4-4.0.0-47alpha18.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 09:32:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete log of yum transaction (4.87 KB, text/plain)
2012-04-22 04:04 EDT, Steve
no flags Details

  None (edit)
Description Steve 2012-04-22 04:03:00 EDT
Description of problem:
libsamba4 is not updated with samba 4

Version-Release number of selected component (if applicable):
samba4-common.i686 1:4.0.0-42alpha18.fc17

How reproducible:
always

Steps to Reproduce:
1. yum clean all
2. yumex --root
3. select samba4 packages
  
Actual results:
ERROR:   Package: 1:libsmbclient-4.0.0-41alpha18.fc17.i686 (@updates-testing)                                 
    Requires: samba4-common = 1:4.0.0-41alpha18.fc17                                                                             
    Removing: 1:samba4-common-4.0.0-41alpha18.fc17.i686 (@updates-testing)                                                       
        samba4-common = 1:4.0.0-41alpha18.fc17                                                                                   
    Updated By: 1:samba4-common-4.0.0-42alpha18.fc17.i686 (updates-testing)                                                      
        samba4-common = 1:4.0.0-42alpha18.fc17 

Expected results:
update of packages to run

Additional info:
Comment 1 Steve 2012-04-22 04:04:54 EDT
Created attachment 579253 [details]
complete log of yum transaction
Comment 2 Andreas Schneider 2012-04-23 05:39:01 EDT
This should be fixed by https://admin.fedoraproject.org/updates/samba4-4.0.0-42alpha18.fc17
Comment 3 Steve 2012-04-24 21:23:55 EDT
error still present, 
libsmbclient-4.0.0-41alpha18.fc17 needs to be updated to match version numbers
Comment 4 Andreas Schneider 2012-04-25 14:10:24 EDT
There is no libsmbclient in samba4 anymore. Please install the libsmblcient from Samba3. This was a packaging mistake. All packaging issues should be fixed with:

https://admin.fedoraproject.org/updates/samba4-4.0.0-43alpha18.fc17
Comment 5 Steve 2012-04-28 10:29:40 EDT
the following command sequence fixed the problem

su -
rpm -e --nodeps libsmbclient-4.0.0-41alpha18.fc17.i686                                                                     
yum clean all                                                                                                              
yumex --root

Note You need to log in before you can comment on or make changes to this bug.